package com.ssj.service.sys.counter.service;

import com.ssj.bean.sys.counter.domain.Counter;
import com.ssj.framework.core.common.service.BaseService;

import java.util.Date;
import java.util.List;
import java.util.Map;


public interface CounterService extends BaseService<Counter, String> {
	
	
	 void saveCounter(Counter counter);

	List<Map<String, Object>> selectByCounter(String libId,String type,Date startTime,Date endTime);
	
	Integer frontByCounter(String libId,String type);
	
	List<Map<String, Object>> getNotActiveCounter(String libId,Boolean iscount);

	List<Map<String, Object>> getPayUserCounter(String libId,Boolean iscount);
	
	List<Map<String, Object>> exportActive(String libId);
	
	List<Map<String, Object>> exportImminent (String libId);
	
	List<Map<String, Object>> exportSilent(String libId);
	
}
